:root {
  /** Colors  */
  --primary-color: rgb(236, 236, 236);
  --yellow-accent-color: rgb(255, 242, 57);
  --blue-accent-color: rgb(22, 34, 194);
  --text-color: rgb(75, 75, 75);
  --loader-color: rgb(146, 146, 146);

  /** Shadows */
  --outer-shadow: -6px -6px 12px #fff, 6px 6px 12px rgba(0, 0, 0, 0.2);
  --inner-shadow: inset -3px -3px 6px #fff, inset 3px 3px 6px rgba(0, 0, 0, 0.2);

  /** Borders */
  --pressed-border: 0px solid #fff;
  --border-radius: 5px;
}
/* Base Styles and Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  height: 100vh;
  width: 100vw;
  overflow: hidden;
}
body {
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family: "PingFang SC", "Microsoft YaHei", sans-serif;
  color: var(--text-color);
  background-color: var(--primary-color);
  overflow: hidden;
}
/* App Wrapper */
.phone-content-wrapper {
  background-color: var(--primary-color);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 500px;
  width: 250px;
  border-radius: var(--border-radius);
  box-shadow: var(--outer-shadow);
}
header {
  height: 10vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.logo {
  font-weight: bold;
  margin: 15px 0 8px 0;
  letter-spacing: 0;
}
/* Competitions/Events Toggler Wrapper */
.selection-toggler {
  cursor: pointer;
  width: 70%;
  height: 20px;
  position: relative;
  display: flex;
  background-color: var(--primary-color);
  border-radius: var(--border-radius);
  box-shadow: var(--outer-shadow);
}
/* Individual Toggler (Events/Competitions) */
.toggler-wrapper {
  cursor: pointer;
  width: 50%;
  height: 20px;
  /* border: 1px solid #fff; */
  border-bottom-left-radius: var(--border-radius);
  border-top-left-radius: var(--border-radius);
}
.toggler-wrapper:nth-child(2) {
  border-bottom-right-radius: var(--border-radius);
  border-top-right-radius: var(--border-radius);
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
}
/* Selected/Pressed state class added/removed through js */
.toggle-active {
  cursor: pointer;
  border: var(--pressed-border);
  box-shadow: var(--inner-shadow);
  font-weight: bold;
}
.toggle-active label {
  color: var(--blue-accent-color);
}
/* Toggle Labels */
label {
  width: 50%;
  height: 20px;
  position: absolute;
  top: 0;
  font-size: 12px;
  font-weight: normal;
  padding: 3px 0 5px 0;
  text-align: center;
}
label.competitions {
  left: 0;
}

label.events {
  right: 0;
}
/* Carousel Slides and Desription with Add button */
.carousel {
  width: auto;
  height: 70vh;
}
/* Category sign above images */
.category {
  font-weight: 200;
  font-size: 10px;
  height: 10px;
  margin: 15px 0 5px 20px;
}
/* Images Weapper - horizontally scrollable */
.carousel-inner {
  /* position: relative; */
  height: 220px;
  display: flex;
  width: 100%;
  overflow-x: scroll;
  /* Hide Scrollbars on IE/Edge */
  -webkit-overflow-scrolling: touch;
  -ms-overflow-style: none;
  scroll-snap-type: x mandatory;
  cursor: grab;
  scroll-behavior: smooth;
}
/* Hide Scrollbars on Chrome/Safari */
.carousel-inner::-webkit-scrollbar {
  display: none;
  -webkit-overflow-scrolling: touch;
}
/* Snap image to visible area when scrolling */
.carousel-inner > .carousel-slides {
  scroll-snap-align: center;
}
/* Carousel Images */
.carousel-slides img {
  width: 160px;
  height: 90%;
  border-radius: var(--border-radius);
  margin: 10px;
  background-size: cover;
  background-position: center center;
}
/* Carousel Slides Loader with overlay */
.lds-ellipsis {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ellipsis div {
  position: absolute;
  top: 33px;
  width: 13px;
  height: 13px;
  border-radius: 50%;
  background: #fff;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.lds-ellipsis div:nth-child(1) {
  left: 8px;
  animation: lds-ellipsis1 0.6s infinite;
}
.lds-ellipsis div:nth-child(2) {
  left: 8px;
  animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(3) {
  left: 32px;
  animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(4) {
  left: 56px;
  animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes lds-ellipsis3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes lds-ellipsis2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(24px, 0);
  }
}
/* Loader Overlay */
.loader-overlay {
  position: absolute;
  top: 15vh;
  left: 0;
  right: 0;
  width: 100%;
  height: 45%;
  background-color: var(--loader-color);
  opacity: 0.98;
  display: flex;
  align-items: center;
  justify-content: center;
  transform: scale(0);
  color: var(--blue-accent-color);
  transition: transform 250ms ease;
  pointer-events: none;
}
/* Class for showing loader set in JS */
.show-loader {
  transform: scale(1);
}
/* Title, Place and Add Button */
.slide-header {
  width: 100%;
  height: 10vh;
  display: flex;
  padding: 5px;
  justify-content: space-around;
  align-items: center;
}

.title {
  font-size: 14px;
  font-weight: bold;
  line-height: 1.1;
}
/* Place */
.subtitle {
  font-size: 11px;
  font-weight: 200;
  line-height: 1;
  color: goldenrod;
  margin-top: 4px;
}
/* Add Button Wrapper */
.add-button {
  box-sizing: border-box;
  cursor: pointer;
  background-color: var(--primary-color);
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  box-shadow: var(--outer-shadow);
  padding: 10px 20px;
  margin-top: -4px;
  border-radius: var(--border-radius);
  transition: all 350ms ease;
  border: none;
  z-index: 99;
}
/* Pressed state class set in js */
.pressed {
  box-shadow: var(--outer-shadow), var(--inner-shadow);
  border: var(--pressed-border);
}
.pressed > .added-icon,
.pressed > .added-text {
  color: rgb(17, 145, 17);
}
/* Icons both variants (add/added) */
.add-icon,
.added-icon {
  padding: 2px;
  border-radius: 50%;
  border: 1px solid var(--blue-accent-color);
  color: var(--blue-accent-color);
  margin-right: 5px;
  font-size: 8px;
}
/* Text both variants (add/added) */
.add-text,
.added-text {
  color: var(--blue-accent-color);
  font-size: 12px;
}
.added-icon {
  display: none !important;
}
.added-text {
  display: none !important;
}
/* Icon and Text toggle classes set in js */
.show {
  display: block !important;
}
.hide {
  display: none !important;
}
/* Description of Event/Competition */
.slide-description {
  width: 100%;
  padding: 0 5%;
  font-size: 10px;
  line-height: 1.5;
  font-weight: 200;
  text-align: justify;
  letter-spacing: 0.2em;
}
/* switch-info class adding animation to Event/Competition Info on scrolling through images */
.switch-info {
  animation: infoSlideRetour 1000ms ease 1;
}
/* Switch Info Animation */
@keyframes infoSlideRetour {
  0% {
    transform: translateY(0);
    opacity: 0.3;
  }
  50% {
    transform: translateY(100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}
/* Bottom Navigation Menu */
.footer-menu {
  position: absolute;
  bottom: 0;
  width: 100%;
  display: flex;
  align-items: flex-start;
  justify-content: space-around;
  height: 50px;
  transition: all 350ms ease;
  z-index: 999;
}
/* Class for every Button in Bottom Navigation Menu */
.footer-btn {
  padding: 10px;
  border-radius: var(--border-radius);
  box-shadow: var(--outer-shadow);
}
/* Pressed state class set in js */
.pressed-btn {
  box-shadow: var(--outer-shadow), var(--inner-shadow);
  border: var(--pressed-border);
  color: var(--blue-accent-color);
}
/* Menu Drawer SideNavigation Section */
.menu-drawer {
  background-color: var(--primary-color);
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 55px;
  display: flex;
  flex-direction: column;
  align-items: left;
  justify-content: center;
  padding: 35px;
  z-index: 998;
  /* Initial scaling to invisible */
  transform: scale(0);
  transition: transform 400ms ease;
}
/* Drawer Show/Hide class set in JS */
.drawer-visible {
  transform: scale(1);
}
/* Photos and Videos Section */
.drawer-header {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 8%;
}
/* Titles */
.drawer-header .item-name {
  text-align: center;
}
/* Icons */
.drawer-header .fas {
  font-size: 30px;
  border-radius: var(--border-radius);
  box-shadow: var(--outer-shadow);
  padding: 10px;
  margin: 20px;
}
/* Middle Section (Tickets,Latest Events/Competitions) */
.menu-drawer > .menu-item {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: row;
  margin: 10px 5px;
}
/* Top margin for middle section */
.menu-drawer > .menu-item:first-child {
  margin-top: 10px;
}
/* Middle Section Icons */
.menu-drawer > .menu-item i {
  font-size: 30px;
  padding: 10px;
  margin-right: 10px;
  border-radius: var(--border-radius);
  box-shadow: var(--outer-shadow);
}
/* Proportional scaled first middle section Icon button */
i.fas.fa-hand-holding-usd {
  font-size: 25px;
}
/* Menu Drawer Bottom Section (Reviews/Rankings) */
.drawer-footer {
  display: flex;
  align-items: center;
  justify-content: space-around;
  margin-top: 10px;
}
/* Reviews Button */
.reviews-icon-wrapper {
  padding: 10px 4px;
  border-radius: var(--border-radius);
  box-shadow: var(--outer-shadow);
  margin-bottom: 10px;
}
/* Rankings Button */
.rankings-icon-wrapper {
  font-size: 20px;
  padding: 8px 10px;
  text-align: center;
  border-radius: var(--border-radius);
  box-shadow: var(--outer-shadow);
  margin-bottom: 10px;
}
/* Drawer Menu Buttons Pressed state class set in JS */
.drawer-btn-pressed {
  box-sizing: border-box;
  border: var(--pressed-border);
  box-shadow: var(--outer-shadow), var(--inner-shadow) !important;
  color: var(--blue-accent-color);
} /* End Drawer Menu */

/* Flag Note Input and Calendar Snackbar */
.flag-input-container,
.calendar-snackbar {
  width: 250px;
  position: absolute;
  bottom: 55px;
  left: 0;
  right: 0;
  transform: scale(0);
  transition: transform 350ms ease;
}
/* Flag Note Input */
.flag-input-container {
  height: 80px;
  background-color: var(--primary-color);
  color: var(--text-color);
}
.flag-input-wrapper {
  width: 250px;
  height: 50px;
  margin-top: 20px;
  background-color: var(--primary-color);
  display: flex;
  flex-direction: column;
}
.input-label {
  font-size: 10px;
  font-weight: 200;
  color: var(--blue-accent-color);
  transform: translate(-20px, 15px);
  z-index: 2;
}
.flag-input {
  width: 90%;
  height: 80%;
  transform: translate(10px, 5px);
  border-radius: var(--border-radius);
  border: var(--pressed-border);
  box-shadow: var(--inner-shadow);
  padding: 10px;
}
.flag-input:focus,
.flag-input:active {
  outline: none;
}
/* Class to show Flag Input set in JS */
.show-flag-input {
  transform: scale(1);
}
/* Calendar Snackbar */
.calendar-snackbar {
  z-index: 9999;
  pointer-events: none;
  text-align: center;
  font-size: 12px;
  padding: 4px;
  text-transform: uppercase;
  height: 20px;
  bottom: 55px;
  background-color: var(--text-color);
  color: var(--loader-color);
}
/* Class to show Snackbar set in JS */
.show-snackbar {
  transform: scale(1);
}
